com.google.web.bindery.requestfactory.shared

## Interface EntityProxy

All Superinterfaces:
  BaseProxy

    public interface EntityProxy
    extends BaseProxy

A proxy for a server-side domain object.

### Method Summary

All Methods Instance Methods Abstract Methods
`EntityProxyId<?>` `stableId()` Returns the `EntityProxyId` that identifies a particular instance of the type proxied by the receiver.

### Method Detail

#### stableId

    EntityProxyId<?> stableId()

Returns the `EntityProxyId` that identifies a particular instance of the type proxied by the receiver.

An id returned by a proxy newly created by `RequestContext.create(java.lang.Class<T>)` `equals` those returned later by proxies to the persisted object.

Subtypes should override to declare they return a stable id of their own type, to allow type safe use of the request objects returned by `RequestFactory.find(EntityProxyId)`.

Returns:
  an `EntityProxyId` instance